(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfx_ball.png", id:"gfx_ball"},
		{src:"images/gfx_ball_sh.png", id:"gfx_ball_sh"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1166,671);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,38,71);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,38,71);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,38,71);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,38,71);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,60,60);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,168,117);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,95,68);


(lib.gfx_ball = function() {
	this.initialize(img.gfx_ball);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,135,135);


(lib.gfx_ball_sh = function() {
	this.initialize(img.gfx_ball_sh);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,135,29);


(lib.p4 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap5();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,38,71);
p.frameBounds = [rect];


(lib.p3 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap4();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,38,71);
p.frameBounds = [rect];


(lib.p2 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap3();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,38,71);
p.frameBounds = [rect];


(lib.p1 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,38,71);
p.frameBounds = [rect];


(lib.dropIn = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap6();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,60,60);
p.frameBounds = [rect];


(lib.ballSh = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfx_ball_sh();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,135,29);
p.frameBounds = [rect];


(lib.ball = function() {
	this.initialize();

	// Layer 2
	this.num = new cjs.Text("", "bold 48px 'Comic Sans MS'");
	this.num.name = "num";
	this.num.textAlign = "center";
	this.num.lineHeight = 50;
	this.num.lineWidth = 100;
	this.num.setTransform(65.5,30.6);

	// Layer 1
	this.instance = new lib.gfx_ball();

	this.addChild(this.instance,this.num);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,135,135);
p.frameBounds = [rect];


(lib.dropMc = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.dropIn();
	this.instance.setTransform(30,30,1,1,0,0,0,30,30);
	this.instance.alpha = 0.5;

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,60,60);
p.frameBounds = [rect];


(lib.ballMc = function() {
	this.initialize();

	// ball
	this.ball = new lib.ball();
	this.ball.setTransform(-0.1,0.3,1,1,0,0,0,67.5,69);

	// sh
	this.sh = new lib.ballSh();
	this.sh.setTransform(0,62.5,1,1,0,0,0,67.5,14.5);

	this.addChild(this.sh,this.ball);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-67.6,-68.7,135.2,145.8);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Magic Ball */
		var config = {
			id: '13292',
			title: 'Kliknij na magiczną kulę, która pokaże losowo wybraną liczbę. Wylosowaną liczbę dodaj do liczby umieszczonej na polu, na którym stoi Twój pionek (jeśli na polu są dwie liczby dodaj wylosowaną liczbę do liczby większej). Pole START ma wartość 600. Teraz umieść swój pionek na polu z liczbą równą wynikowi dodawania. Jeśli stajesz na krze niebieskiej cofasz się o 5 pól, jeśli stajesz na krze fioletowej tracisz jedną kolejkę. Aby wejść na pole META wynik dodawania musi być większy niż 900.',
			type: 'magicball',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',	
			players: {min: 2, max: 4},
			numbers: {min: 4, max: 54},
			alert: 'Wpisz liczbę graczy. Gra przeznaczone jest dla 2 - 4 graczy',
			alpha: 0,
			alpha2: 0,	
			range: 20,
			results: {meta: 60, shift: 0},
				
			endsound: 'ssBrawa', exerciseAfterInit: function (config) {
				this.container['magicball'].randoms = [54, 58, 61, 66, 72, 75];
				
				var pos = [];
				pos[0] = [0,600];
				pos[1] = [654,658];
				pos[2] = [661,666];
				pos[3] = [672,675];
				pos[4] = [0,712];
				pos[5] = [716,719];
				pos[6] = [720,724];
				pos[7] = [727,729];
				pos[8] = [730,732];
				pos[9] = [733,736];
				pos[10] = [738,741];
				pos[11] = [747,750];
				pos[12] = [0,766];
				pos[13] = [770,773];
				pos[14] = [777,778];
				pos[15] = [780,782];
				pos[16] = [783,784];
				pos[17] = [785,786];
				pos[18] = [787,790];
				pos[19] = [791,793];
				pos[20] = [794,795];
				pos[21] = [796,797];
				pos[22] = [798,799];
				pos[23] = [801,802];
				pos[24] = [804,807];
				pos[25] = [808,811];
				pos[26] = [813,816];
				pos[27] = [820,824];
				pos[28] = [822,825];
				pos[29] = [827,831];
				pos[30] = [832,834];
				pos[31] = [836,838];
				pos[32] = [839,840];
				pos[33] = [841,842];
				pos[34] = [843,844];
				pos[35] = [845,847];
				pos[36] = [848,849];
				pos[37] = [850,851];
				pos[38] = [852,853];
				pos[39] = [854,855];
				pos[40] = [856,857];
				pos[41] = [858,859];
				pos[42] = [860,861];
				pos[43] = [862,863];
				pos[44] = [864,867];
				pos[45] = [868,869];
				pos[46] = [870,871];
				pos[47] = [872,873];
				pos[48] = [874,877];
				pos[49] = [0,878];
				pos[50] = [879,882];
				pos[51] = [883,885];
				pos[52] = [0,886];
				pos[53] = [888,889];
				pos[54] = [890,891];
				pos[55] = [892,894];
				pos[56] = [895,896];
				pos[57] = [897,898];
				pos[58] = [0,899];
				pos[59] = [0,900];
				pos[60] = [];
				
				this.container.pos = pos;
			},
			exerciseBeforeFinish: function (config) {	
			},
			exerciseExtraCheck: function (config) {		
			},
			exerciseCustomPosition: function(obj) {
				var pos = this.container.pos;
				var sum = 0;
				var nextPos = obj.position;
				if(obj.position === 0) {
					sum = 600 + parseInt(obj.parent.num);
				}
				else {
					sum = parseInt(pos[obj.position][1]) + parseInt(obj.parent.num);
				}
				
				for(var i in pos) {
					//console.log(pos[i]);
					if(sum > 900) {
						nextPos = 60;
						break;
					}
					
					if(sum === pos[i][0] || sum === pos[i][1]) {
						nextPos = i;
						break;
					}
				}
				//console.log(sum, nextPos);
				return parseInt(nextPos);
			},
			exerciseExtraCondition: function (obj) {		
				if(
					obj.position === 3 ||
					obj.position === 13 ||
					obj.position === 23 ||
					obj.position === 30 ||
					obj.position === 42 ||
					obj.position === 51
				) {
					moveSkip(this, obj, 1, 'Tracisz 1 kolejkę!')
				}	
						
				if(
					obj.position === 7 ||
					obj.position === 18 ||
					obj.position === 26 ||
					obj.position === 37 ||
					obj.position === 46 ||
					obj.position === 55
				) {
					moveBack(this, obj, 5, 'Cofasz się o 5 pól!')
				}
			},
			exerciseExtraCurrentPlayer: function() {
				return skipPlayer(this);
			}
		}
		
		exerciseOnInit(config);
		
		
		/* Custom functions */
		
		function moveBack(config, obj, backMove, msg) {
			var dropIndex = obj.position - backMove;
			var dropNext = config.container[config.prefix2+dropIndex];
			obj.position = obj.position - backMove;
			obj.orgy = dropNext.y;
			showMessage(msg);
			TweenMax.to(obj, 0.5, {x:dropNext.x, y: dropNext.y, ease: Quad.easeOut,
				onComplete: function() {
					this.target.orgx = dropNext.x;
					this.target.orgy = dropNext.y;
				}
			});	
		}
		
		function moveForward(config, obj, forwardMove, msg) {
			var dropIndex = obj.position + forwardMove;
			var dropNext = config.container[config.prefix2+dropIndex];
			obj.position = obj.position + forwardMove;
			obj.orgx = dropNext.x;
			obj.orgy = dropNext.y;
			showMessage(msg);
			TweenMax.to(obj, 0.5, {x:dropNext.x, y: dropNext.y, ease: Quad.easeOut,
				onComplete: function() {
					this.target.orgx = dropNext.x;
					this.target.orgy = dropNext.y;
				}
			});	
		}
		
		function moveSkip(config, obj, skipNum, msg) {
			obj.skip = skipNum;
			showMessage(msg);
		}
		
		function extraDraw(config) {
			for (var playerName in config.container) {
				if (playerName.indexOf(config.prefix) > -1) {
					var playerPawn = config.container[playerName];
					if (playerPawn.player === config.container.currentPlayer) {
						if (playerPawn.extradraw === true) {
							playerPawn.extradraw = false;
							isExtraDraw = true;
							return config.container.currentPlayer;
							break;
						}
					}
				}
			}
		}
		
		function skipPlayer (config) {	
			config.container.currentPlayer++;
				
			if (config.container.currentPlayer > config.container.playerNum)
				config.container.currentPlayer = 1;
		
			for (var playerName in config.container) {
				if (playerName.indexOf(config.prefix) > -1) {
					var playerPawn = config.container[playerName];
					if (playerPawn.player === config.container.currentPlayer) {
						if(typeof playerPawn.skip === 'number' && parseInt(playerPawn.skip) > 0) {						
							playerPawn.skip = playerPawn.skip - 1;
							return config.container.currentPlayer+1;
						}
						else {						
							playerPawn.skip = 0;						
						}
						
					}
				}
			}
			
			return config.container.currentPlayer;
			
		}
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(2));

	// drop
	this.drop_47 = new lib.dropMc();
	this.drop_47.setTransform(896,218,1,1,0,0,0,30,30);

	this.drop_60 = new lib.dropMc();
	this.drop_60.setTransform(330,88,1,1,0,0,0,30,30);

	this.drop_59 = new lib.dropMc();
	this.drop_59.setTransform(413.4,85,1,1,0,0,0,30,30);

	this.drop_58 = new lib.dropMc();
	this.drop_58.setTransform(473.4,88,1,1,0,0,0,30,30);

	this.drop_57 = new lib.dropMc();
	this.drop_57.setTransform(561.4,88,1,1,0,0,0,30,30);

	this.drop_56 = new lib.dropMc();
	this.drop_56.setTransform(649,88,1,1,0,0,0,30,30);

	this.drop_55 = new lib.dropMc();
	this.drop_55.setTransform(716.9,81,1,1,0,0,0,30,30);

	this.drop_54 = new lib.dropMc();
	this.drop_54.setTransform(790.9,85,1,1,0,0,0,30,30);

	this.drop_53 = new lib.dropMc();
	this.drop_53.setTransform(882.8,85,1,1,0,0,0,30,30);

	this.drop_52 = new lib.dropMc();
	this.drop_52.setTransform(958,94,1,1,0,0,0,30,30);

	this.drop_51 = new lib.dropMc();
	this.drop_51.setTransform(1026.1,112,1,1,0,0,0,30,30);

	this.drop_50 = new lib.dropMc();
	this.drop_50.setTransform(1052,165,1,1,0,0,0,30,30);

	this.drop_49 = new lib.dropMc();
	this.drop_49.setTransform(1026.1,218,1,1,0,0,0,30,30);

	this.drop_48 = new lib.dropMc();
	this.drop_48.setTransform(968,227,1,1,0,0,0,30,30);

	this.drop_46 = new lib.dropMc();
	this.drop_46.setTransform(836,235,1,1,0,0,0,30,30);

	this.drop_45 = new lib.dropMc();
	this.drop_45.setTransform(766,235,1,1,0,0,0,30,30);

	this.drop_44 = new lib.dropMc();
	this.drop_44.setTransform(698,238,1,1,0,0,0,30,30);

	this.drop_43 = new lib.dropMc();
	this.drop_43.setTransform(633,239,1,1,0,0,0,30,30);

	this.drop_42 = new lib.dropMc();
	this.drop_42.setTransform(562.4,236,1,1,0,0,0,30,30);

	this.drop_41 = new lib.dropMc();
	this.drop_41.setTransform(499,241,1,1,0,0,0,30,30);

	this.drop_40 = new lib.dropMc();
	this.drop_40.setTransform(428,240,1,1,0,0,0,30,30);

	this.drop_39 = new lib.dropMc();
	this.drop_39.setTransform(357,241,1,1,0,0,0,30,30);

	this.drop_38 = new lib.dropMc();
	this.drop_38.setTransform(286,241,1,1,0,0,0,30,30);

	this.drop_37 = new lib.dropMc();
	this.drop_37.setTransform(219,251,1,1,0,0,0,30,30);

	this.drop_36 = new lib.dropMc();
	this.drop_36.setTransform(173,300,1,1,0,0,0,30,30);

	this.drop_35 = new lib.dropMc();
	this.drop_35.setTransform(193,371,1,1,0,0,0,30,30);

	this.drop_34 = new lib.dropMc();
	this.drop_34.setTransform(258,399.9,1,1,0,0,0,30,30);

	this.drop_33 = new lib.dropMc();
	this.drop_33.setTransform(326,399.9,1,1,0,0,0,30,30);

	this.drop_32 = new lib.dropMc();
	this.drop_32.setTransform(397,393,1,1,0,0,0,30,30);

	this.drop_31 = new lib.dropMc();
	this.drop_31.setTransform(464,384,1,1,0,0,0,30,30);

	this.drop_30 = new lib.dropMc();
	this.drop_30.setTransform(533.4,376.9,1,1,0,0,0,30,30);

	this.drop_29 = new lib.dropMc();
	this.drop_29.setTransform(593.4,371,1,1,0,0,0,30,30);

	this.drop_28 = new lib.dropMc();
	this.drop_28.setTransform(661.9,366,1,1,0,0,0,30,30);

	this.drop_27 = new lib.dropMc();
	this.drop_27.setTransform(740,357,1,1,0,0,0,30,30);

	this.drop_26 = new lib.dropMc();
	this.drop_26.setTransform(810.9,350.2,1,1,0,0,0,30,30);

	this.drop_25 = new lib.dropMc();
	this.drop_25.setTransform(879.9,366,1,1,0,0,0,30,30);

	this.drop_24 = new lib.dropMc();
	this.drop_24.setTransform(939.9,392,1,1,0,0,0,30,30);

	this.drop_23 = new lib.dropMc();
	this.drop_23.setTransform(958,444,1,1,0,0,0,30,30);

	this.drop_22 = new lib.dropMc();
	this.drop_22.setTransform(905,472,1,1,0,0,0,30,30);

	this.drop_21 = new lib.dropMc();
	this.drop_21.setTransform(838,483,1,1,0,0,0,30,30);

	this.drop_20 = new lib.dropMc();
	this.drop_20.setTransform(769,495.9,1,1,0,0,0,30,30);

	this.drop_19 = new lib.dropMc();
	this.drop_19.setTransform(703.6,504,1,1,0,0,0,30,30);

	this.drop_18 = new lib.dropMc();
	this.drop_18.setTransform(639,512,1,1,0,0,0,30,30);

	this.drop_17 = new lib.dropMc();
	this.drop_17.setTransform(568.4,519,1,1,0,0,0,30,30);

	this.drop_16 = new lib.dropMc();
	this.drop_16.setTransform(508.4,532,1,1,0,0,0,30,30);

	this.drop_15 = new lib.dropMc();
	this.drop_15.setTransform(439,532,1,1,0,0,0,30,30);

	this.drop_14 = new lib.dropMc();
	this.drop_14.setTransform(362,532,1,1,0,0,0,30,30);

	this.drop_13 = new lib.dropMc();
	this.drop_13.setTransform(296,543,1,1,0,0,0,30,30);

	this.drop_12 = new lib.dropMc();
	this.drop_12.setTransform(229,556,1,1,0,0,0,30,30);

	this.drop_11 = new lib.dropMc();
	this.drop_11.setTransform(193,598,1,1,0,0,0,30,30);

	this.drop_10 = new lib.dropMc();
	this.drop_10.setTransform(226,645,1,1,0,0,0,30,30);

	this.drop_9 = new lib.dropMc();
	this.drop_9.setTransform(287,666,1,1,0,0,0,30,30);

	this.drop_8 = new lib.dropMc();
	this.drop_8.setTransform(357,658,1,1,0,0,0,30,30);

	this.drop_7 = new lib.dropMc();
	this.drop_7.setTransform(434,658,1,1,0,0,0,30,30);

	this.drop_6 = new lib.dropMc();
	this.drop_6.setTransform(507.4,666,1,1,0,0,0,30,30);

	this.drop_5 = new lib.dropMc();
	this.drop_5.setTransform(568.4,666,1,1,0,0,0,30,30);

	this.drop_4 = new lib.dropMc();
	this.drop_4.setTransform(628.4,666,1,1,0,0,0,30,30);

	this.drop_3 = new lib.dropMc();
	this.drop_3.setTransform(709,658,1,1,0,0,0,30,30);

	this.drop_2 = new lib.dropMc();
	this.drop_2.setTransform(785,653,1,1,0,0,0,30,30);

	this.drop_1 = new lib.dropMc();
	this.drop_1.setTransform(857,641,1,1,0,0,0,30,30);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drop_27},{t:this.drop_28},{t:this.drop_29},{t:this.drop_30},{t:this.drop_31},{t:this.drop_32},{t:this.drop_33},{t:this.drop_34},{t:this.drop_35},{t:this.drop_36},{t:this.drop_37},{t:this.drop_38},{t:this.drop_39},{t:this.drop_40},{t:this.drop_41},{t:this.drop_42},{t:this.drop_43},{t:this.drop_44},{t:this.drop_45},{t:this.drop_46},{t:this.drop_48},{t:this.drop_49},{t:this.drop_50},{t:this.drop_51},{t:this.drop_52},{t:this.drop_53},{t:this.drop_54},{t:this.drop_55},{t:this.drop_56},{t:this.drop_57},{t:this.drop_58},{t:this.drop_59},{t:this.drop_60},{t:this.drop_47}]}).to({state:[]},1).wait(1));

	// content
	this.drag_4 = new lib.p4();
	this.drag_4.setTransform(960.5,625,1,1,0,0,0,23.4,62.6);

	this.drag_3 = new lib.p3();
	this.drag_3.setTransform(922,620,1,1,0,0,0,10,57.6);

	this.drag_2 = new lib.p2();
	this.drag_2.setTransform(946.7,598,1,1,0,0,0,18.6,50);

	this.drag_1 = new lib.p1();
	this.drag_1.setTransform(921.6,599,1,1,0,0,0,18.6,50);

	this.magicball = new lib.ballMc();
	this.magicball.setTransform(1160.5,623.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.magicball},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4}]}).to({state:[]},1).wait(1));

	// nums
	this.text = new cjs.Text("658", "16px 'Comic Sans MS'");
	this.text.textAlign = "center";
	this.text.lineHeight = 18;
	this.text.lineWidth = 45;
	this.text.setTransform(853.7,635.1);

	this.text_1 = new cjs.Text("666", "16px 'Comic Sans MS'");
	this.text_1.textAlign = "center";
	this.text_1.lineHeight = 18;
	this.text_1.lineWidth = 45;
	this.text_1.setTransform(776.7,641.1);

	this.text_2 = new cjs.Text("675", "16px 'Comic Sans MS'");
	this.text_2.textAlign = "center";
	this.text_2.lineHeight = 18;
	this.text_2.lineWidth = 45;
	this.text_2.setTransform(703.7,648.1);

	this.text_3 = new cjs.Text("719", "16px 'Comic Sans MS'");
	this.text_3.textAlign = "center";
	this.text_3.lineHeight = 18;
	this.text_3.lineWidth = 45;
	this.text_3.setTransform(564.7,659.1);

	this.text_4 = new cjs.Text("724", "16px 'Comic Sans MS'");
	this.text_4.textAlign = "center";
	this.text_4.lineHeight = 18;
	this.text_4.lineWidth = 45;
	this.text_4.setTransform(504.7,656.1);

	this.text_5 = new cjs.Text("729", "16px 'Comic Sans MS'");
	this.text_5.textAlign = "center";
	this.text_5.lineHeight = 18;
	this.text_5.lineWidth = 45;
	this.text_5.setTransform(434.7,646.1);

	this.text_6 = new cjs.Text("732", "16px 'Comic Sans MS'");
	this.text_6.textAlign = "center";
	this.text_6.lineHeight = 18;
	this.text_6.lineWidth = 45;
	this.text_6.setTransform(356.7,645.1);

	this.text_7 = new cjs.Text("736", "16px 'Comic Sans MS'");
	this.text_7.textAlign = "center";
	this.text_7.lineHeight = 18;
	this.text_7.lineWidth = 45;
	this.text_7.setTransform(284.7,655.1);

	this.text_8 = new cjs.Text("741", "16px 'Comic Sans MS'");
	this.text_8.textAlign = "center";
	this.text_8.lineHeight = 18;
	this.text_8.lineWidth = 45;
	this.text_8.setTransform(222.7,637.1);

	this.text_9 = new cjs.Text("750", "16px 'Comic Sans MS'");
	this.text_9.textAlign = "center";
	this.text_9.lineHeight = 18;
	this.text_9.lineWidth = 45;
	this.text_9.setTransform(187.7,597.1);

	this.text_10 = new cjs.Text("773", "16px 'Comic Sans MS'");
	this.text_10.textAlign = "center";
	this.text_10.lineHeight = 18;
	this.text_10.lineWidth = 45;
	this.text_10.setTransform(297.7,532.1);

	this.text_11 = new cjs.Text("778", "16px 'Comic Sans MS'");
	this.text_11.textAlign = "center";
	this.text_11.lineHeight = 18;
	this.text_11.lineWidth = 45;
	this.text_11.setTransform(359.7,525.1);

	this.text_12 = new cjs.Text("782", "16px 'Comic Sans MS'");
	this.text_12.textAlign = "center";
	this.text_12.lineHeight = 18;
	this.text_12.lineWidth = 45;
	this.text_12.setTransform(437.7,529.1);

	this.text_13 = new cjs.Text("784", "16px 'Comic Sans MS'");
	this.text_13.textAlign = "center";
	this.text_13.lineHeight = 18;
	this.text_13.lineWidth = 45;
	this.text_13.setTransform(504.7,519.1);

	this.text_14 = new cjs.Text("786", "16px 'Comic Sans MS'");
	this.text_14.textAlign = "center";
	this.text_14.lineHeight = 18;
	this.text_14.lineWidth = 45;
	this.text_14.setTransform(569.7,510.1);

	this.text_15 = new cjs.Text("790", "16px 'Comic Sans MS'");
	this.text_15.textAlign = "center";
	this.text_15.lineHeight = 18;
	this.text_15.lineWidth = 45;
	this.text_15.setTransform(633.7,503.1);

	this.text_16 = new cjs.Text("793", "16px 'Comic Sans MS'");
	this.text_16.textAlign = "center";
	this.text_16.lineHeight = 18;
	this.text_16.lineWidth = 45;
	this.text_16.setTransform(699.7,495.1);

	this.text_17 = new cjs.Text("795", "16px 'Comic Sans MS'");
	this.text_17.textAlign = "center";
	this.text_17.lineHeight = 18;
	this.text_17.lineWidth = 45;
	this.text_17.setTransform(764.7,488.1);

	this.text_18 = new cjs.Text("797", "16px 'Comic Sans MS'");
	this.text_18.textAlign = "center";
	this.text_18.lineHeight = 18;
	this.text_18.lineWidth = 45;
	this.text_18.setTransform(834.7,474.1);

	this.text_19 = new cjs.Text("799", "16px 'Comic Sans MS'");
	this.text_19.textAlign = "center";
	this.text_19.lineHeight = 18;
	this.text_19.lineWidth = 45;
	this.text_19.setTransform(898.7,463.1);

	this.text_20 = new cjs.Text("802", "16px 'Comic Sans MS'");
	this.text_20.textAlign = "center";
	this.text_20.lineHeight = 18;
	this.text_20.lineWidth = 45;
	this.text_20.setTransform(955.7,432.1);

	this.text_21 = new cjs.Text("807", "16px 'Comic Sans MS'");
	this.text_21.textAlign = "center";
	this.text_21.lineHeight = 18;
	this.text_21.lineWidth = 45;
	this.text_21.setTransform(938.7,382.1);

	this.text_22 = new cjs.Text("811", "16px 'Comic Sans MS'");
	this.text_22.textAlign = "center";
	this.text_22.lineHeight = 18;
	this.text_22.lineWidth = 45;
	this.text_22.setTransform(872.7,359.1);

	this.text_23 = new cjs.Text("816", "16px 'Comic Sans MS'");
	this.text_23.textAlign = "center";
	this.text_23.lineHeight = 18;
	this.text_23.lineWidth = 45;
	this.text_23.setTransform(810.7,343.1);

	this.text_24 = new cjs.Text("824", "16px 'Comic Sans MS'");
	this.text_24.textAlign = "center";
	this.text_24.lineHeight = 18;
	this.text_24.lineWidth = 45;
	this.text_24.setTransform(732.7,347.1);

	this.text_25 = new cjs.Text("825", "16px 'Comic Sans MS'");
	this.text_25.textAlign = "center";
	this.text_25.lineHeight = 18;
	this.text_25.lineWidth = 45;
	this.text_25.setTransform(656.7,358.1);

	this.text_26 = new cjs.Text("831", "16px 'Comic Sans MS'");
	this.text_26.textAlign = "center";
	this.text_26.lineHeight = 18;
	this.text_26.lineWidth = 45;
	this.text_26.setTransform(589.7,357.1);

	this.text_27 = new cjs.Text("834", "16px 'Comic Sans MS'");
	this.text_27.textAlign = "center";
	this.text_27.lineHeight = 18;
	this.text_27.lineWidth = 45;
	this.text_27.setTransform(525.7,363.1);

	this.text_28 = new cjs.Text("838", "16px 'Comic Sans MS'");
	this.text_28.textAlign = "center";
	this.text_28.lineHeight = 18;
	this.text_28.lineWidth = 45;
	this.text_28.setTransform(458.7,370.1);

	this.text_29 = new cjs.Text("840", "16px 'Comic Sans MS'");
	this.text_29.textAlign = "center";
	this.text_29.lineHeight = 18;
	this.text_29.lineWidth = 45;
	this.text_29.setTransform(391.7,384.1);

	this.text_30 = new cjs.Text("842", "16px 'Comic Sans MS'");
	this.text_30.textAlign = "center";
	this.text_30.lineHeight = 18;
	this.text_30.lineWidth = 45;
	this.text_30.setTransform(317.7,395.1);

	this.text_31 = new cjs.Text("844", "16px 'Comic Sans MS'");
	this.text_31.textAlign = "center";
	this.text_31.lineHeight = 18;
	this.text_31.lineWidth = 45;
	this.text_31.setTransform(251.7,396.1);

	this.text_32 = new cjs.Text("847", "16px 'Comic Sans MS'");
	this.text_32.textAlign = "center";
	this.text_32.lineHeight = 18;
	this.text_32.lineWidth = 45;
	this.text_32.setTransform(189.7,360.1);

	this.text_33 = new cjs.Text("849", "16px 'Comic Sans MS'");
	this.text_33.textAlign = "center";
	this.text_33.lineHeight = 18;
	this.text_33.lineWidth = 45;
	this.text_33.setTransform(167.7,294.1);

	this.text_34 = new cjs.Text("851", "16px 'Comic Sans MS'");
	this.text_34.textAlign = "center";
	this.text_34.lineHeight = 18;
	this.text_34.lineWidth = 45;
	this.text_34.setTransform(220.7,244.1);

	this.text_35 = new cjs.Text("853", "16px 'Comic Sans MS'");
	this.text_35.textAlign = "center";
	this.text_35.lineHeight = 18;
	this.text_35.lineWidth = 45;
	this.text_35.setTransform(279.7,233.1);

	this.text_36 = new cjs.Text("855", "16px 'Comic Sans MS'");
	this.text_36.textAlign = "center";
	this.text_36.lineHeight = 18;
	this.text_36.lineWidth = 45;
	this.text_36.setTransform(356.7,231.1);

	this.text_37 = new cjs.Text("857", "16px 'Comic Sans MS'");
	this.text_37.textAlign = "center";
	this.text_37.lineHeight = 18;
	this.text_37.lineWidth = 45;
	this.text_37.setTransform(428.7,234.1);

	this.text_38 = new cjs.Text("859", "16px 'Comic Sans MS'");
	this.text_38.textAlign = "center";
	this.text_38.lineHeight = 18;
	this.text_38.lineWidth = 45;
	this.text_38.setTransform(497.7,227.1);

	this.text_39 = new cjs.Text("861", "16px 'Comic Sans MS'");
	this.text_39.textAlign = "center";
	this.text_39.lineHeight = 18;
	this.text_39.lineWidth = 45;
	this.text_39.setTransform(559.7,232.1);

	this.text_40 = new cjs.Text("863", "16px 'Comic Sans MS'");
	this.text_40.textAlign = "center";
	this.text_40.lineHeight = 18;
	this.text_40.lineWidth = 45;
	this.text_40.setTransform(629.7,230.1);

	this.text_41 = new cjs.Text("867", "16px 'Comic Sans MS'");
	this.text_41.textAlign = "center";
	this.text_41.lineHeight = 18;
	this.text_41.lineWidth = 45;
	this.text_41.setTransform(697.7,230.1);

	this.text_42 = new cjs.Text("869", "16px 'Comic Sans MS'");
	this.text_42.textAlign = "center";
	this.text_42.lineHeight = 18;
	this.text_42.lineWidth = 45;
	this.text_42.setTransform(760.7,224.1);

	this.text_43 = new cjs.Text("871", "16px 'Comic Sans MS'");
	this.text_43.textAlign = "center";
	this.text_43.lineHeight = 18;
	this.text_43.lineWidth = 45;
	this.text_43.setTransform(832.7,224.1);

	this.text_44 = new cjs.Text("873", "16px 'Comic Sans MS'");
	this.text_44.textAlign = "center";
	this.text_44.lineHeight = 18;
	this.text_44.lineWidth = 45;
	this.text_44.setTransform(893.7,209.1);

	this.text_45 = new cjs.Text("877", "16px 'Comic Sans MS'");
	this.text_45.textAlign = "center";
	this.text_45.lineHeight = 18;
	this.text_45.lineWidth = 45;
	this.text_45.setTransform(962.7,216.1);

	this.text_46 = new cjs.Text("882", "16px 'Comic Sans MS'");
	this.text_46.textAlign = "center";
	this.text_46.lineHeight = 18;
	this.text_46.lineWidth = 45;
	this.text_46.setTransform(1045.7,156.1);

	this.text_47 = new cjs.Text("885", "16px 'Comic Sans MS'");
	this.text_47.textAlign = "center";
	this.text_47.lineHeight = 18;
	this.text_47.lineWidth = 45;
	this.text_47.setTransform(1026.7,102.1);

	this.text_48 = new cjs.Text("889", "16px 'Comic Sans MS'");
	this.text_48.textAlign = "center";
	this.text_48.lineHeight = 18;
	this.text_48.lineWidth = 45;
	this.text_48.setTransform(874.7,73.1);

	this.text_49 = new cjs.Text("891", "16px 'Comic Sans MS'");
	this.text_49.textAlign = "center";
	this.text_49.lineHeight = 18;
	this.text_49.lineWidth = 45;
	this.text_49.setTransform(794.7,75.1);

	this.text_50 = new cjs.Text("894", "16px 'Comic Sans MS'");
	this.text_50.textAlign = "center";
	this.text_50.lineHeight = 18;
	this.text_50.lineWidth = 45;
	this.text_50.setTransform(711.7,75.1);

	this.text_51 = new cjs.Text("896", "16px 'Comic Sans MS'");
	this.text_51.textAlign = "center";
	this.text_51.lineHeight = 18;
	this.text_51.lineWidth = 45;
	this.text_51.setTransform(641.7,75.1);

	this.text_52 = new cjs.Text("898", "16px 'Comic Sans MS'");
	this.text_52.textAlign = "center";
	this.text_52.lineHeight = 18;
	this.text_52.lineWidth = 45;
	this.text_52.setTransform(561.7,75.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.text_52},{t:this.text_51},{t:this.text_50},{t:this.text_49},{t:this.text_48},{t:this.text_47},{t:this.text_46},{t:this.text_45},{t:this.text_44},{t:this.text_43},{t:this.text_42},{t:this.text_41},{t:this.text_40},{t:this.text_39},{t:this.text_38},{t:this.text_37},{t:this.text_36},{t:this.text_35},{t:this.text_34},{t:this.text_33},{t:this.text_32},{t:this.text_31},{t:this.text_30},{t:this.text_29},{t:this.text_28},{t:this.text_27},{t:this.text_26},{t:this.text_25},{t:this.text_24},{t:this.text_23},{t:this.text_22},{t:this.text_21},{t:this.text_20},{t:this.text_19},{t:this.text_18},{t:this.text_17},{t:this.text_16},{t:this.text_15},{t:this.text_14},{t:this.text_13},{t:this.text_12},{t:this.text_11},{t:this.text_10},{t:this.text_9},{t:this.text_8},{t:this.text_7},{t:this.text_6},{t:this.text_5},{t:this.text_4},{t:this.text_3},{t:this.text_2},{t:this.text_1},{t:this.text}]}).to({state:[]},1).wait(1));

	// nums
	this.text_53 = new cjs.Text("712", "18px 'Comic Sans MS'");
	this.text_53.textAlign = "center";
	this.text_53.lineHeight = 20;
	this.text_53.lineWidth = 45;
	this.text_53.setTransform(632.7,648.1);

	this.text_54 = new cjs.Text("766", "18px 'Comic Sans MS'");
	this.text_54.textAlign = "center";
	this.text_54.lineHeight = 20;
	this.text_54.lineWidth = 45;
	this.text_54.setTransform(227.4,538);

	this.text_55 = new cjs.Text("878", "18px 'Comic Sans MS'");
	this.text_55.textAlign = "center";
	this.text_55.lineHeight = 20;
	this.text_55.lineWidth = 45;
	this.text_55.setTransform(1025.4,198);

	this.text_56 = new cjs.Text("886", "18px 'Comic Sans MS'");
	this.text_56.textAlign = "center";
	this.text_56.lineHeight = 20;
	this.text_56.lineWidth = 45;
	this.text_56.setTransform(957.4,73);

	this.text_57 = new cjs.Text("654", "16px 'Comic Sans MS'");
	this.text_57.textAlign = "center";
	this.text_57.lineHeight = 18;
	this.text_57.lineWidth = 45;
	this.text_57.setTransform(853.7,620.1);

	this.text_58 = new cjs.Text("661", "16px 'Comic Sans MS'");
	this.text_58.textAlign = "center";
	this.text_58.lineHeight = 18;
	this.text_58.lineWidth = 45;
	this.text_58.setTransform(776.7,626.1);

	this.text_59 = new cjs.Text("672", "16px 'Comic Sans MS'");
	this.text_59.textAlign = "center";
	this.text_59.lineHeight = 18;
	this.text_59.lineWidth = 45;
	this.text_59.setTransform(703.7,633.1);

	this.text_60 = new cjs.Text("716", "16px 'Comic Sans MS'");
	this.text_60.textAlign = "center";
	this.text_60.lineHeight = 18;
	this.text_60.lineWidth = 45;
	this.text_60.setTransform(564.7,644.1);

	this.text_61 = new cjs.Text("720", "16px 'Comic Sans MS'");
	this.text_61.textAlign = "center";
	this.text_61.lineHeight = 18;
	this.text_61.lineWidth = 45;
	this.text_61.setTransform(504.7,641.1);

	this.text_62 = new cjs.Text("727", "16px 'Comic Sans MS'");
	this.text_62.textAlign = "center";
	this.text_62.lineHeight = 18;
	this.text_62.lineWidth = 45;
	this.text_62.setTransform(434.7,631.1);

	this.text_63 = new cjs.Text("730", "16px 'Comic Sans MS'");
	this.text_63.textAlign = "center";
	this.text_63.lineHeight = 18;
	this.text_63.lineWidth = 45;
	this.text_63.setTransform(356.7,630.1);

	this.text_64 = new cjs.Text("733", "16px 'Comic Sans MS'");
	this.text_64.textAlign = "center";
	this.text_64.lineHeight = 18;
	this.text_64.lineWidth = 45;
	this.text_64.setTransform(284.7,640.1);

	this.text_65 = new cjs.Text("738", "16px 'Comic Sans MS'");
	this.text_65.textAlign = "center";
	this.text_65.lineHeight = 18;
	this.text_65.lineWidth = 45;
	this.text_65.setTransform(222.7,622.1);

	this.text_66 = new cjs.Text("747", "16px 'Comic Sans MS'");
	this.text_66.textAlign = "center";
	this.text_66.lineHeight = 18;
	this.text_66.lineWidth = 45;
	this.text_66.setTransform(187.7,582.1);

	this.text_67 = new cjs.Text("770", "16px 'Comic Sans MS'");
	this.text_67.textAlign = "center";
	this.text_67.lineHeight = 18;
	this.text_67.lineWidth = 45;
	this.text_67.setTransform(297.7,517.1);

	this.text_68 = new cjs.Text("777", "16px 'Comic Sans MS'");
	this.text_68.textAlign = "center";
	this.text_68.lineHeight = 18;
	this.text_68.lineWidth = 45;
	this.text_68.setTransform(359.7,510.1);

	this.text_69 = new cjs.Text("780", "16px 'Comic Sans MS'");
	this.text_69.textAlign = "center";
	this.text_69.lineHeight = 18;
	this.text_69.lineWidth = 45;
	this.text_69.setTransform(437.7,514.1);

	this.text_70 = new cjs.Text("783", "16px 'Comic Sans MS'");
	this.text_70.textAlign = "center";
	this.text_70.lineHeight = 18;
	this.text_70.lineWidth = 45;
	this.text_70.setTransform(504.7,504.1);

	this.text_71 = new cjs.Text("785", "16px 'Comic Sans MS'");
	this.text_71.textAlign = "center";
	this.text_71.lineHeight = 18;
	this.text_71.lineWidth = 45;
	this.text_71.setTransform(569.7,495.1);

	this.text_72 = new cjs.Text("787", "16px 'Comic Sans MS'");
	this.text_72.textAlign = "center";
	this.text_72.lineHeight = 18;
	this.text_72.lineWidth = 45;
	this.text_72.setTransform(633.7,488.1);

	this.text_73 = new cjs.Text("791", "16px 'Comic Sans MS'");
	this.text_73.textAlign = "center";
	this.text_73.lineHeight = 18;
	this.text_73.lineWidth = 45;
	this.text_73.setTransform(699.7,480.1);

	this.text_74 = new cjs.Text("794", "16px 'Comic Sans MS'");
	this.text_74.textAlign = "center";
	this.text_74.lineHeight = 18;
	this.text_74.lineWidth = 45;
	this.text_74.setTransform(764.7,473.1);

	this.text_75 = new cjs.Text("796", "16px 'Comic Sans MS'");
	this.text_75.textAlign = "center";
	this.text_75.lineHeight = 18;
	this.text_75.lineWidth = 45;
	this.text_75.setTransform(834.7,459.1);

	this.text_76 = new cjs.Text("798", "16px 'Comic Sans MS'");
	this.text_76.textAlign = "center";
	this.text_76.lineHeight = 18;
	this.text_76.lineWidth = 45;
	this.text_76.setTransform(898.7,448.1);

	this.text_77 = new cjs.Text("801", "16px 'Comic Sans MS'");
	this.text_77.textAlign = "center";
	this.text_77.lineHeight = 18;
	this.text_77.lineWidth = 45;
	this.text_77.setTransform(955.7,417.1);

	this.text_78 = new cjs.Text("804", "16px 'Comic Sans MS'");
	this.text_78.textAlign = "center";
	this.text_78.lineHeight = 18;
	this.text_78.lineWidth = 45;
	this.text_78.setTransform(938.7,367.1);

	this.text_79 = new cjs.Text("808", "16px 'Comic Sans MS'");
	this.text_79.textAlign = "center";
	this.text_79.lineHeight = 18;
	this.text_79.lineWidth = 45;
	this.text_79.setTransform(872.7,344.1);

	this.text_80 = new cjs.Text("813", "16px 'Comic Sans MS'");
	this.text_80.textAlign = "center";
	this.text_80.lineHeight = 18;
	this.text_80.lineWidth = 45;
	this.text_80.setTransform(810.7,328.1);

	this.text_81 = new cjs.Text("820", "16px 'Comic Sans MS'");
	this.text_81.textAlign = "center";
	this.text_81.lineHeight = 18;
	this.text_81.lineWidth = 45;
	this.text_81.setTransform(732.7,332.1);

	this.text_82 = new cjs.Text("822", "16px 'Comic Sans MS'");
	this.text_82.textAlign = "center";
	this.text_82.lineHeight = 18;
	this.text_82.lineWidth = 45;
	this.text_82.setTransform(656.7,343.1);

	this.text_83 = new cjs.Text("827", "16px 'Comic Sans MS'");
	this.text_83.textAlign = "center";
	this.text_83.lineHeight = 18;
	this.text_83.lineWidth = 45;
	this.text_83.setTransform(589.7,342.1);

	this.text_84 = new cjs.Text("832", "16px 'Comic Sans MS'");
	this.text_84.textAlign = "center";
	this.text_84.lineHeight = 18;
	this.text_84.lineWidth = 45;
	this.text_84.setTransform(525.7,348.1);

	this.text_85 = new cjs.Text("836", "16px 'Comic Sans MS'");
	this.text_85.textAlign = "center";
	this.text_85.lineHeight = 18;
	this.text_85.lineWidth = 45;
	this.text_85.setTransform(458.7,355.1);

	this.text_86 = new cjs.Text("839", "16px 'Comic Sans MS'");
	this.text_86.textAlign = "center";
	this.text_86.lineHeight = 18;
	this.text_86.lineWidth = 45;
	this.text_86.setTransform(391.7,369.1);

	this.text_87 = new cjs.Text("841", "16px 'Comic Sans MS'");
	this.text_87.textAlign = "center";
	this.text_87.lineHeight = 18;
	this.text_87.lineWidth = 45;
	this.text_87.setTransform(317.7,380.1);

	this.text_88 = new cjs.Text("843", "16px 'Comic Sans MS'");
	this.text_88.textAlign = "center";
	this.text_88.lineHeight = 18;
	this.text_88.lineWidth = 45;
	this.text_88.setTransform(251.7,381.1);

	this.text_89 = new cjs.Text("845", "16px 'Comic Sans MS'");
	this.text_89.textAlign = "center";
	this.text_89.lineHeight = 18;
	this.text_89.lineWidth = 45;
	this.text_89.setTransform(189.7,345.1);

	this.text_90 = new cjs.Text("848", "16px 'Comic Sans MS'");
	this.text_90.textAlign = "center";
	this.text_90.lineHeight = 18;
	this.text_90.lineWidth = 45;
	this.text_90.setTransform(167.7,279.1);

	this.text_91 = new cjs.Text("850", "16px 'Comic Sans MS'");
	this.text_91.textAlign = "center";
	this.text_91.lineHeight = 18;
	this.text_91.lineWidth = 45;
	this.text_91.setTransform(220.7,229.1);

	this.text_92 = new cjs.Text("852", "16px 'Comic Sans MS'");
	this.text_92.textAlign = "center";
	this.text_92.lineHeight = 18;
	this.text_92.lineWidth = 45;
	this.text_92.setTransform(279.7,218.1);

	this.text_93 = new cjs.Text("854", "16px 'Comic Sans MS'");
	this.text_93.textAlign = "center";
	this.text_93.lineHeight = 18;
	this.text_93.lineWidth = 45;
	this.text_93.setTransform(356.7,216.1);

	this.text_94 = new cjs.Text("856", "16px 'Comic Sans MS'");
	this.text_94.textAlign = "center";
	this.text_94.lineHeight = 18;
	this.text_94.lineWidth = 45;
	this.text_94.setTransform(428.7,219.1);

	this.text_95 = new cjs.Text("858", "16px 'Comic Sans MS'");
	this.text_95.textAlign = "center";
	this.text_95.lineHeight = 18;
	this.text_95.lineWidth = 45;
	this.text_95.setTransform(497.7,212.1);

	this.text_96 = new cjs.Text("860", "16px 'Comic Sans MS'");
	this.text_96.textAlign = "center";
	this.text_96.lineHeight = 18;
	this.text_96.lineWidth = 45;
	this.text_96.setTransform(559.7,217.1);

	this.text_97 = new cjs.Text("862", "16px 'Comic Sans MS'");
	this.text_97.textAlign = "center";
	this.text_97.lineHeight = 18;
	this.text_97.lineWidth = 45;
	this.text_97.setTransform(629.7,215.1);

	this.text_98 = new cjs.Text("864", "16px 'Comic Sans MS'");
	this.text_98.textAlign = "center";
	this.text_98.lineHeight = 18;
	this.text_98.lineWidth = 45;
	this.text_98.setTransform(697.7,215.1);

	this.text_99 = new cjs.Text("868", "16px 'Comic Sans MS'");
	this.text_99.textAlign = "center";
	this.text_99.lineHeight = 18;
	this.text_99.lineWidth = 45;
	this.text_99.setTransform(760.7,209.1);

	this.text_100 = new cjs.Text("870", "16px 'Comic Sans MS'");
	this.text_100.textAlign = "center";
	this.text_100.lineHeight = 18;
	this.text_100.lineWidth = 45;
	this.text_100.setTransform(832.7,209.1);

	this.text_101 = new cjs.Text("872", "16px 'Comic Sans MS'");
	this.text_101.textAlign = "center";
	this.text_101.lineHeight = 18;
	this.text_101.lineWidth = 45;
	this.text_101.setTransform(893.7,194.1);

	this.text_102 = new cjs.Text("874", "16px 'Comic Sans MS'");
	this.text_102.textAlign = "center";
	this.text_102.lineHeight = 18;
	this.text_102.lineWidth = 45;
	this.text_102.setTransform(962.7,201.1);

	this.text_103 = new cjs.Text("879", "16px 'Comic Sans MS'");
	this.text_103.textAlign = "center";
	this.text_103.lineHeight = 18;
	this.text_103.lineWidth = 45;
	this.text_103.setTransform(1045.7,141.1);

	this.text_104 = new cjs.Text("883", "16px 'Comic Sans MS'");
	this.text_104.textAlign = "center";
	this.text_104.lineHeight = 18;
	this.text_104.lineWidth = 45;
	this.text_104.setTransform(1026.7,87.1);

	this.text_105 = new cjs.Text("888", "16px 'Comic Sans MS'");
	this.text_105.textAlign = "center";
	this.text_105.lineHeight = 18;
	this.text_105.lineWidth = 45;
	this.text_105.setTransform(874.7,58.1);

	this.text_106 = new cjs.Text("890", "16px 'Comic Sans MS'");
	this.text_106.textAlign = "center";
	this.text_106.lineHeight = 18;
	this.text_106.lineWidth = 45;
	this.text_106.setTransform(794.7,60.1);

	this.text_107 = new cjs.Text("892", "16px 'Comic Sans MS'");
	this.text_107.textAlign = "center";
	this.text_107.lineHeight = 18;
	this.text_107.lineWidth = 45;
	this.text_107.setTransform(711.7,60.1);

	this.text_108 = new cjs.Text("895", "16px 'Comic Sans MS'");
	this.text_108.textAlign = "center";
	this.text_108.lineHeight = 18;
	this.text_108.lineWidth = 45;
	this.text_108.setTransform(641.7,60.1);

	this.text_109 = new cjs.Text("897", "16px 'Comic Sans MS'");
	this.text_109.textAlign = "center";
	this.text_109.lineHeight = 18;
	this.text_109.lineWidth = 45;
	this.text_109.setTransform(561.7,60.1);

	this.text_110 = new cjs.Text("899", "18px 'Comic Sans MS'");
	this.text_110.textAlign = "center";
	this.text_110.lineHeight = 20;
	this.text_110.lineWidth = 45;
	this.text_110.setTransform(475.7,68.1);

	this.text_111 = new cjs.Text("900", "18px 'Comic Sans MS'");
	this.text_111.textAlign = "center";
	this.text_111.lineHeight = 20;
	this.text_111.lineWidth = 45;
	this.text_111.setTransform(408.7,68.1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.text_111},{t:this.text_110},{t:this.text_109},{t:this.text_108},{t:this.text_107},{t:this.text_106},{t:this.text_105},{t:this.text_104},{t:this.text_103},{t:this.text_102},{t:this.text_101},{t:this.text_100},{t:this.text_99},{t:this.text_98},{t:this.text_97},{t:this.text_96},{t:this.text_95},{t:this.text_94},{t:this.text_93},{t:this.text_92},{t:this.text_91},{t:this.text_90},{t:this.text_89},{t:this.text_88},{t:this.text_87},{t:this.text_86},{t:this.text_85},{t:this.text_84},{t:this.text_83},{t:this.text_82},{t:this.text_81},{t:this.text_80},{t:this.text_79},{t:this.text_78},{t:this.text_77},{t:this.text_76},{t:this.text_75},{t:this.text_74},{t:this.text_73},{t:this.text_72},{t:this.text_71},{t:this.text_70},{t:this.text_69},{t:this.text_68},{t:this.text_67},{t:this.text_66},{t:this.text_65},{t:this.text_64},{t:this.text_63},{t:this.text_62},{t:this.text_61},{t:this.text_60},{t:this.text_59},{t:this.text_58},{t:this.text_57},{t:this.text_56},{t:this.text_55},{t:this.text_54},{t:this.text_53}]}).to({state:[]},1).wait(1));

	// bg
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(275.5,29.5);

	this.instance_1 = new lib.Bitmap8();
	this.instance_1.setTransform(876.5,566.5);

	this.instance_2 = new lib.Bitmap1();
	this.instance_2.setTransform(10.4,37.4);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).to({state:[]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(10.4,29.5,1217.6,678.9);
p.frameBounds = [rect, null];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(650.4,389.5,1217.6,678.9);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;